Subject: Re: [PATCH 0/6] Corrections to the mailmap file

From: Stefan Beller <[email-masked]>
Date: Thu, 11 Jul 2013 19:52:49 +0200

On 07/11/2013 07:33 PM, Junio C Hamano wrote:
> Stefan Beller <[email-masked]> writes:
>>
>> I noticed many duplicates in email addresses but having the same name by
>> running:
>>
>>     # Finding out duplicates by comparing names:
>>     git shortlog -sne |awk '{ NF--; $1=""; print }' |sort |uniq -d
>>
>> Most of these entries are most probably the same person, but we cannot be 
>> sure, as there might be different persons having the same name, then they
>> are only distinguished by the mail address.
>>
>> However I suspect most of these to be the same person, having changed 
>> mail addresses.
>>
>> Here comes an initial batch of corrections to the mailmap file, which
>> maps people with email addresses of different capitalization onto
>> the same entity.
>> (Example [email-masked] is the same as [email-masked])
>>
>> I intend to contact each of the persons individually and ask whether 
>> just their mail address changed, or if they are indeed different persons.
> 
> Has anything happen to this topic sice you posted?
> 
> I think:
> 
>  - .(none) is obviously bad, and we can fix without waiting for
>    responses as long as we know the replacement address is the
>    address from the list we usually see on the list (3).
> 
>  - Domain part is defined to be case insensitive (e.g. @mit.edu vs
>    @MIT.EDU), so both forms are equally valid.  The owner of the
>    address may have preferences (1 and 4), though.
> 
>    For this, we could just declare we downcase the domain part.
> 
>  - The local-part, even though RFC 2821 says "local-part of a
>    mailbox MUST BE treated as case sensitive", is often case
>    insensitive, and User.Name@domain and user.name@domain often name
>    the same mailbox.  The owner of the address may have preferences
>    (5 and 6), though.
> 
>    For this, we could just declare we Camel.Case the local part,
>    after making sure Camel.Case@domain has been used by the owner of
>    the address on this list.
> 
> So where does that leave us?
> 
> We can apply without waiting:
> 
>   1: downcase domain
>   3: .(none) and we know [email-masked]
>   4: downcase domain
>   5: We recently saw Dshco calls himself <Johannes.Schindelin@domain>.
>   6: The latest one from Nov 2009 uses <Toby.Allsopp@domain>.
> 
> The only possibly iffy one is Alex Riesen, but <raa.lkml@domain>
> seems to be the one he uses here, so I think 2. is also fine.
> 

To be honest, I did not continue to work on this. I was 
waiting for the first few patches to be reviewed, because 
I was not sure how important you all think this topic 
really is. I know projects, which frown upon such 
beautyfing commits. Hence I was waiting for an answer, 
whether such work is appreciated.

Anyway, last time I tried contributing to git, I was 
told to explicitely do it in the open. I did forget 
to CC the mailing list when asking Alex Riesen 
(2nd patch), whether it's all him.
I do see the benefit of the openess, when discussing code 
or documentation, but I wonder if you'd also like to see these
'Hello, are you the person having email x, y and z?' 
kind of mails  put on the mailing list as well. 
That would be 120 to go, which may be undesired?

So I'll start contacting the other people now.